## sleepanalyser 2.1-53

=== src/opt/SleepAnalyser/lib/Makefile ===
CC=g++
CCFLAGS=-O2 -fomit-frame-pointer -pipe -Wno-deprecated $(CPPFLAGS) -I. -I/usr/lib/python2.5/site-packages/shedskin/lib -g -fPIC -D__SS_BIND -I/usr/include/python2.5 -I/usr/include/python2.5
#CCFLAGS=-O0 -pipe -Wno-deprecated $(CPPFLAGS)
LFLAGS=-lgc -lpcre $(LDFLAGS) -shared -Xlinker -export-dynamic -lpthread -ldl  -lutil -lm -lpython2.5 -L/usr/lib/python2.5/config

all:	mylib.so

CPPFILES=/usr/lib/python2.5/site-packages/shedskin/lib/builtin.cpp mylib.cpp /usr/lib/python2.5/site-packages/shedskin/lib/re.cpp
HPPFILES=/usr/lib/python2.5/site-packages/shedskin/lib/builtin.hpp mylib.hpp /usr/lib/python2.5/site-packages/shedskin/lib/re.hpp

mylib.so:	$(CPPFILES) $(HPPFILES)
	$(CC)  $(CCFLAGS) $(CPPFILES) $(LFLAGS) -o mylib.so

mylib.so_prof:	$(CPPFILES) $(HPPFILES)
	$(CC) -pg -ggdb $(CCFLAGS) $(CPPFILES) $(LFLAGS) -o mylib.so_prof

mylib.so_debug:	$(CPPFILES) $(HPPFILES)
	$(CC) -g -ggdb $(CCFLAGS) $(CPPFILES) $(LFLAGS) -o mylib.so_debug

clean:
	rm -f mylib.so mylib.so_prof mylib.so_debug

.PHONY: all run clean

=== debian/changelog ===
sleepanalyser (2.1-53) unstable; urgency=low

  - Fixed depencies
  - Improved random file selection error handling
  - Updated help

 -- George Ruinelli <george@ruinelli.ch>  Mon, 18 Apr 2011 21:08:00  +0100

=== debian/control ===
Source: sleepanalyser
Section: user/utilities
Priority: extra
Maintainer: George Ruinelli <george@ruinelli.ch>
Build-Depends: debhelper (>= 5), shedskin
Standards-Version: 3.7.2

Package: sleepanalyser
Architecture: any
Depends: python2.5, python2.5-qt4-common, python2.5-qt4-gui, python2.5-qt4-core, python-alarm, python2.5-qt4-dbus, libqt4-dbus, libdbus-1-3, libdbus-glib-1-2, python-dbus, libgc1c2, libpcre3, ffmpeg, mplayer
Description: Sleep Analyser records your movement during your sleep.
 It is able to visualise it on a graph to show how much you move during your sleep. This can help to indicate how you sleep.
 It also has an alarm function and other features like lucid dream and wakeUp music. You can set the alarm and a time window (ex. 30 minutes). The Alarm will then go off sometimes during the time window (as soon as you move more), but latest at the set alarm. This should help you to wake up while you are in the light sleep phase.
 Old records can be loaded and visualised and the graphs can be exported as bitmaps.
XSBC-Bugtracker: mailto:george@ruinelli.ch
XSBC-Maemo-Display-Name: SleepAnalyser
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAAEAAAABACAYAAACqaXHeAAAABmJLR0QAAAAAAAD5Q7t/AAAACXBI
 WXMAAA7DAAAOwwHHb6hkAAAACXZwQWcAAABAAAAAQADq8/hgAAAjAUlEQVR42r17Z5Bdx3Xm133j
 y2ne5IQBZpBBJAIkJeYkmZIpSuJKsqp2bZcly16ty/ZaXnstl6v8w+tQTuu1XbJsWdaSCmtLJCVS
 JEFRJEUwCASIPIOZATAYDGbm5Xjfzd29P+57E4AhRa93902dueGF2993vnP6dPe9BP//XtqmzeND
 ExMTO4eGhnZ29/SMx6KxLkppyLYsu1qrFufn56eWl3NTly5dPFPMLy8C8P9fN4r8Kz+vAgipuh5l
 jIF5ngnAAuAAEBt9IZVOJ+66+95Dhw4d+sDOnTsOZ7PZiUg4EpckqriuTxljYIyBc+67rutWq7Xa
 wsLVqdNnzx45ceL4UyePH7soqxrzXWejn5fbbVIASO12uAC8/5sEkEg01nf4llsPHrz55kNjmzZt
 T6WSCQC8Xm80Ll++PH327JmTJ06cOJFbWrwKgLW/R/ceOHjoZ3/2Zz932623fkBTte5SuULyhYKX
 zxfq1Vqtatu2xTlnsixHFFVNJBOJRDqV0mKxGBGcezOzs6eeeebpP3791ZefisTiXqvZAAAkkqns
 HXfdtXv37t37Jia27kynkllKqey4bjOXy82eOXPm2AtHjpy4fHF2CQD/PyIglc6gWilH33/HXfc8
 /JGHP33n7bffOTIyko7HY4osyyCEgDOOlmm6lWq1cer06WPf/MY3vvW97z71/P0PfjB/4vjxbb/3
 e7/33/fu3XffuclJb3b24sWFhYVj+XzurVKpOOs6Tsl1XZsxJnRdj8iKkkyn0mOZbPeerq6u/d3Z
 7u2qpqWuzl859vyzz3w2lc6cPnPyuP7Tj3z0tp/5mU//3N69e+/s6e7KRkJhVZYlCgCcc1i2zUql
 cv3UqdNvfeeJJ772zW88/tyP3jpTufWmbe9d5wcPH4aiql2PfvJTv/HP337i4pX5q6xebwjbdoTj
 usL1POH7vmCMCc658BgTLdsRUzOzi7/6n7/whwB2fO6XP/+rTz97xPzd3/+Dyz/90Ud/c9vO3TsV
 VdWvI79ja1/KyKbNg3fe+8AjP/eZX/rOr/+XL1buvv/BzwOIf+Zzv/wLx0+ePt+0bG55nvB8Jhhj
 wveZ8HxfeJ4nPN8XtuOIWr0u3j55Kvfbv/PFP8t0ZTe9ZwX09PUjv7yU+tijn/j8Aw8++J96e/uy
 RquFXTu2YWRoCJTSNUZACIUgBFwIEEKwvLxc/ou/+Iunw+HoeCKZ2v797z/zX1996QffiieSiU1j
 YwPxeCIjgLiu6VFN13TbdlyjZVQc22k4tt2oVMqFUiG/xJjfGt28Zfi++z/wlUaz0dQU6ehv/dZv
 /dLY2OYxLgJVUxBQIiCEgBCAEBwQQK1Rx1snToJSCt/zWs8/99zjjz/+2B/uP3jz3CsvvvDOBOjh
 MGzTVO6+9/5//9BDD/1+LJ7o7+ntAwTH9q3jiMdioJIEidKVrSTLkBQl+AEhIFGCqQszte88+V1y
 5crcVds0/mX37j3DiURyUyQaGVAUNeMzptm2K9m2RVumJVpGixutlteo1+vVajXXMlvzltk6s3jt
 6qnxia0PjW3e8tMf++jDzj133jnmcw4u1uRbzsEZAxccggdkeJ6H02fP49rSMhjzQSGaR448/1ff
 fPyxP8lku2vlYmHl63JnJxyN4d5778XZs+d2Hdi//xdi0Vi/ZVkwmg1sHd8CIQRarRYkWYYsS6CS
 BEVWEO6Ab8egYAK6ricIpXz/vr0j77vtti9IlIZdz6emZcE0LZimCUItCCHgMw6fMTAuwLlIEkke
 ifupw77vPtLd3Vuq1ypGJBpNZ7u6GW+DBaErrhMg8HwfzPfB2+Qw38fI8AAcx8a1xSVEwqHYvr37
 fubypUtvH3vzje/o4YiwzVZbRe2XJEn43lNP6rt27nwkm83udV0XmqqAQMCyTDSbTTQNA0arBaNl
 wjItECpBkuW28wVc14XtuJi7Mk8oJdLNBw/GU8lkVJIkGshUAEJAINiu9Jyi8699nhBIkqyEwuG+
 eCI13qjV9Vw+H7YdF57nwfdXezlCCagkw3FdmKaJYqmES3NXMDN7CZZlIRIOwXVdxOKxkZtuuumT
 iqb3ZbuyK99fIWB0ZBR9A4ObhgaH7iMguucFF2s06ri2uIhKtYpGo4lmowmjaUCSZUQi4ZUfsi0b
 ZquFSqWC81NT6O/tQW9vDzhf3wuJ6w/a4AXanLRDSbQPZFlBuVwmZ89P0lK5DNf1YFkWPG+VBE1T
 oWka8oUi5uevolgootlowDJNOLYN17bhux7p6e65ddfOnfueeuJJxBLJVQJiiSTOnD6Jnp6enZFo
 ZML1XLjuqtVqNeRyOZQrZdQbdYTDIXRns5CoBEIIHMdBqVRCyzRx4uRJLC4s4OYDB6CqKsQ60EIQ
 CC5RKmRJEpJEXVmmtqooTFUUyLLECSE+2n23EAKSLMP3OY4fP46Tp0/Dtm1YpoVatQrP80AJASEE
 8XgMmXQKzPfhOg5cx4Hj2Kv7tg1Flrv7entv2X9gr3pDDiCEKPfdd/92ShDzXDeI545khQDnApxz
 DA4MYHR0JAAnAMexsXB1AaZlwmyZeO7IC7j37jsxODgA07RACYGiyIJAF6oiIaSpnhBc9nxfcmxb
 dlxHOI5LbduGYRh+tVZ3W6al1utN0WwaxLIdSdU00mwY9NvffgLpZAo9Pd3wPQ+O46C/vx+6poKA
 YnR0BKZp4uzZc3BcF17bgZ0tY74Sjca2A4jKslxZRwAARVHVQd9nsuu4kEVAQOdPohS93d3YPLYJ
 mqZBtGU/OTWJcqUKWZbxyquvIpmI476774YsSQiHdei6CsYY8TwPvucRx3U1x3Hgug4kSqksS5Ak
 CZQSyJKkhkK66jgOrK4kN1sWqrWaXa7UfEkici6X15787vekRz/2CCghKJXLMAwDWycmEA7paBkW
 mOfCNluoVquQZSUgqk2C57mgEu2KxOKJSCRSqZZL6wgglJCY73mUEAKOoG/1PQ9N30NXJg0Ijka9
 jngsBtO2cerUGSwuLkFRZMxeuoxri4v45c/8AiKRMHRdBxccvufDcRwwxogQAgSApqrQdR0BeBlC
 CDiOg6ZhoF6roVqrgtYpJSCQJBqOhEPcaLW8WEQzZ2YuKC+/8iPt4P79xGc+6rUaHMvG1olx5HLL
 mJqawuT5c5iZmUFv/wD6+wfAGAuU4LnwPU/VNE1X2r3XWgLgOq5v285KVjeaDcxfmQMBsG3rVqTT
 aaRSKXi+jwvTsygUClAUBQuLi5icmsThmw+AQqBULCLb3Q0hBAqFAkqlEhzbhm/bkBCMWoTjQvge
 ZEoRT6cRSSQRSybRl06DEYq6YSCfz2FxcRGlUokKITRFkdVoNMwmJ895kkTl8S1bqO/5uHjpEnK5
 ZXi2jfNnz+L8uXNoNJvQ9BCSyRTSmQx0xuDYNsKRCPM8TzDfv4EAf3jTaHPXTbuF53mkUauhVq2g
 ZRgwWy3EYzGk0mlQKsGyHTiuC1VVkSsUMDU5ie5MGjKApaUltEwTF6anUSwUYFSqcMpluMUijOUc
 WoUifNcF8z0IxiC4gKTIkGQFiqYinsmgb2IC3ZvH0LttG7p370HVaGLu8mUsLi4SCCErsiwWrl7h
 skT97my35HkeaTYacBwby/k8Gs0mst3d6O3rR7anB8MjI+jt60d3TzfefOP11tf+6auGpmk3EqDr
 +tyBgzd7tVpVnbt8GS3DQKNeg2M7sGwHTaOFq9cWIUsyFEVGPp/HieNvgXAOXaa4dm0BhWIRZqsF
 r96AKBTgLefg1uvwLTvoDwhply9rXtZK74fK0hLmzpyBJCuIplIY2LkD4++7DVu3b0d/3wBmZqeR
 yy0TQiDllhe55zosFotLzGfE930MDo9A1XRQStE/MICBgUH09vVjaHgYsVgMjUajAsBwHGc9Af/0
 2OPsG1//+jnTNOuxWCwbj8cRi8eRznQhHIkimUpBEBokE+KhUDKwcGUOlXZZSQhQqVahMIZIvQGp
 XIEwTXTinpKgeKMIxgy0/SUqSeBtOQoS9H8CBFwwNMtFTL78Mi7++MfonZjA9vvuw44dO5DOZHBx
 dgbNZoOWSgViNBssHI4SCEgEQCqVWol5QoBEIo5EMoFmo2GeOHHiJABzJfF1dvYfPIRSqbjppz74
 wS/39vbeazQNNBp1CAgoigJFViDJCizLhscYEtEQquUylpaWkMvloMoyuqmEdMuEYjsrlR4lgCpJ
 CGkadE2FpqqQSHBZZdNmyH0DKL78Q9iVcht8QELHGAAuBLgQUPQQRg4cxK4PfQgsEsb09BSKxQJ8
 3xO+53sClIR0XeGdpOe6oJSiu7cX3d09KFfKFx577LFfe/XVo8+Nj29Bs15bVcDk5DnYprn4wxdf
 PLJ1YuJwOByOKooCWVHAGEeLWajWGwhHInjf4ZsBzkABXLt2DdxxkLEcdDEOSfAV4BFdRzIRQyIa
 g65rkDqeb3ex8uAA6OAItKEBNARDs9GEx3xwkHUEMELgEwLfsXHxtaMozV3GnocfxvYd2yErMnLL
 SwQQSqlUdeYXDCTjcUWVZcGYD891SaFQgG1b7tyV+Tfn5ubOb968Ca1mMxgCdAgIhSMYHBhk1VrN
 IoTGueDccZ26YVpqqVrXCpUq+vr78elP/DsMDfbBcV1MXbiA/Pw8BiwH3YwH8oZASJHRm81gsL8P
 qUQCuqpAAkAFB+UMhHNQxoFSEeLKZVCzhZCuQVMVcMcF4Sz4PALCSKdkJQQgBFajgdzUFPRQGJt2
 3wTX92C2WkTTFMmyLOvKwqKoNxp+s1E/Y5rmstEylkvlyolcofBdx3XfUhSFuY69ngDXsdGyLHi+
 X8wX8m+UK+U3y9WaK2uR/bKqhQcGBvG5z/w89uzaAdd18fbbb2P61ClkylUkPB8EAhQCyUgYw4MD
 6MqkoUoUlAegKeeQhFjdCgHqMxDXAeXBsSpJUCgFs53g/TZwCrJCAmkT4XsuihcvQg+HMbpnLyzH
 hmVZJBLWqet6tWrdCBWLpamLF2f+Nl8ofiNfLD7ted5bjmXamq6jQ8D6OsC2AMCPxhPLtWq1mUh1
 PRwKhSPhcAQP3ncPDt98AJwHdfnM2bOIF8vQ7GA+VIJAVyqJgb7eYBTJeQCCcxDBQbgAEQLobCmF
 2L4NiMUhLs5A5JYhIBDWVDBdh2magfwBSBAriiBidcToOzbOf/8Z6Ik4xnfugmPbqNWq8tBgb7xl
 WqbnONtVTVeK+eVj0XiCGY06AKBZr61gptjgRSmFruupcCQ6LkD0TaMjuPvO94EQgnwuh2Ovvw5y
 9Rq0RjMAT4BsXx+GRoahKQooY5A4h9TxPBOQOA/UIDgIZyCUQtu2HfqhW+B0ZeExBso4JAGENBUa
 IdCA9SYEIvE4eg8cRCydgQTANQyceeJJOLkctmzZilAoBF3X9cH+Hmi6Fo9E43dooVCakI2nP28g
 IJZIQtdD0PRwrywrg7qu4b6770AykUDTaOL1119H5cI0SL4QJDvBke7pwaZHP4HwTftX4pzyNiDO
 QXhbASv7ARG6qiKi6xCUgq0ohUGmFDIhkBHMd6ttUwRHYnQThj/0MDITW6GIYIxilIo499RTiCkK
 BgaHIUkK0ulULNuVgqZpOzVN36zr+soQ+F0JAIDhsQkoqtpDqNS1ZWwTdm7fCs/zcOniJVw5fx7e
 pTnAD+I+pCro6UpDMU2IRr0NXkBibfm3gUHw6wgQ0DUNkUgYkiQBbYUQHiTTTsksY3XyXyME/pXL
 KDz9JKyZC1AICRYEKEVhZhpXXjuKocEhJJJJyLIi9ff1KJFIOKtq+tZiPidthHVDAo6//rJEqZQN
 h8OJQwf3QdNUGIaB+bk51C/MwKvVABI0siudQoQA/rHXIGamQH22Lu7RAdXJ/itJMSAgFApBlqQV
 lVAuAuW08wpdQ4JCCGijAfPEcYhKGUpbJRIAwTku/uhH8MsVDA2NQFFkxOMxvacnG9c0bZeq6ZH3
 TAAIZEmW+/v7evUtY6NwXRelUgmVq1fRuHgpkD6AsKoiGY8HgD2vDT7wPPhGXu+QEWR9XdcQDofa
 CgjCiQgO+D6o6Kgg6F3oGhJUStveFythIhECo1zGlTfeQG93N+KJJGRZob293eFoNDpGJSm7UR7Y
 kABCiKqq2uDW8S2KHtJhWzaajQYq0zNwGg2AAJIQiEXCUBUJYGwVoOBBpl8j/w5wwtbIXHDomhoQ
 QCmIYG11cAjfW0NApytc7Rbl66wTKgTA/Inj4I0m+vsGIMkSkomEnsmks7Ki9Gsb5IENCRAC4WQy
 2TU6OiT5vg/HdWA3mihNzwLt/lmmFGFdB+UAEavxjuu2hHOAbZAEIaCpKkK6DkmSAvkLDsJ8EM9b
 A3yVBNLel9YRIFZIkAhBq1xGfmoSfX19nR5B6u3tGVAVtb+YW74B7w0nSFBthbPZrlgqkSCO44Bz
 gebiIoxiAYS0vUAIlE7ssk68ByBFO94JZ+33VtXQMSraBIRCK0mQcAHhukE3utL3rzWxjoSNjPs+
 SrOziIfDSKcykGQJmXQ6EotFB9rR8u4EyIoKSVKigwP9UUmm8FwPiiyjdnUBnmWvECCRdhnJWTvh
 teO+k/X5daGwQopoe7s9M6RpgQKEAPF9wPXWAV5bCnesc7wKfDU8CCGoLS1BYhzZbDdURUUiEY+n
 UsnB90RAOBxBKByOJ5OJpOAcjDNIQqAyPw/R9gAFQAQgmB80vJ3w0AG+xusQou110bb2PgRkWYKi
 yKCEBJMjzvoSmFxHQmDiBgLWqYQQGNUqiO+hqyuDUCiEUCikpFKpJIAbeoJ1pXAskURvTw8IETFd
 01Ku6yJKCKgQqC3nVhpBARDO4TsOoGlBadpOfisktEtW0n4vAB8ACI5Xx+Kcc3DHCchpgxBtIoDV
 ITJtb9e243ojCLpEyhiSmQzC4TB835cymXQSoDcQcIMC9u/fi0g4rKmaItuOA0VRIBECz7YBsn5J
 126ZYL4HcA7BOcBZsO3U62vArxy3u0C6Zn3P8zxw31+ZKOmQcL3XNzq+Pj9QAMzzYJbLiEajQSIM
 6SSRSCRlRQmrqvruBHzpb/8GkiRJBASO4wZT1iDByut1jfBdF1ajCcHYSsxjTS5Yb2uU0MkNnaQr
 ANIZ+q4DjnXXxAbnNjLu+3DNFsIhHXooBE3VoOt6SA+FwqFw6N0JIMFKi8I5k1zXAaUUYD444+s/
 QykgOJymAbtpgPts3ULKKhmr3u9UhsL3IRw3eB/BwlinRtkI0Frg1++vnJOk1e8QQNNVaLqOsB6C
 oirQNE3TNFUP6fq6721UBxDOmeR6LhzHge8zcM8PpN2+UPbQLei570FImg7BOSzDgFlvwLMscN+H
 YBxCtI3z4Nj3wV0X3LbBbRvC91aGtXosth7UO4zcNjwrBLTubvR9+COIbRmHEAKqqkDVNCiyDFVT
 oSkqFEUllFIhSeuHBBsWQp7vM9uyPcdxYFkmiCQFShAAoRSRoWFEN28Gaa/9QQj4jgOr2YRVb8A1
 mnBbJjzThG+a8MwWfNMEs21w3wdnDHI8ASWZBADs/8jD6Nm1u70ShZXtDVjfgQA5nkBkywS0bBZC
 CMSSccSz2eD+BUmCqmqghLiO43iO4747AV/+ypcF85ntuI7nei4Mw4ASjUBSVYAECWbh2adx9Ztf
 h28Y670lBDhj8F0PvuOAOS58zwvCg/MgmzOG8PAwtv/mbyIythkAkOjvhz08Alushyius+vPA4Cg
 FK25y5j/xy+j/PYJgBDEUkmkBgbay+wS2onPtizLabVa666xrhsEgL/6y7+GZVmGbdlN5vuoVCtg
 QkALhYKrEsAzDNgA9JVp7I6R9kri6jHWHnOO5LZt2PM7X0T2fe9fIe+Nb3wTV3/wAkYJBRdiQ+Dr
 j8m6c5wx2KUifATT7OmeHqjRGBzHgUQpZEWG47p1z7EN27beWQHNeg35Qh71er1kmmaZMYZarQbX
 Z0j0dENABLO1hEAQsm4Ke6MGrz3POUfm4M3Y99/+CNn3376qHMZQW1hA2Lba9LV/cw0RPKgeNrSV
 a5CgI1RUGUM7d8DzGSzLai+8Ur9Wq5UA1K4T2Y0KME0LpmGUms1mzvN9YbZM0rQt9I6PY/qNN9Zd
 eO3UtXxdo0hnv70Y1Hv3Pdj/O19EfMsWAEBhehq1K1cghcOoLi9DELr6m0KsIZbcQPD1bWAr+wKZ
 TBI9WybgeB4sx0H7lj43l8tdA9C6Hu8NBLT9Vy8WS7NbHMe2CQnlCwX0b9sGLRyBZ5vghLQvHKwi
 dxpCVxocVHFcCFBJQt8DD2D3b3wB4dFRCCFw+c0f44d/8AfA5UtwZBmubSNDCZgQG5J7/Tmx5j22
 5jyRKHrHRpAe3QTbceD7PlRVhWla1cXFpYsI7iJ95xBYK4RyuXKuZZo1nzEsXFtAcnQEyd6e4GaJ
 NRdnGzREAGBCAIqK/oc/golf+3XI2Sxcy8aZ557Hs7/925DOnkLcNJBt1DDoOdAhbvgdtmaBZFXu
 5AbPMxD4QkALa9h88BBcUFiWBSpRKIqKYqGwMD9/dXb/wZtvuPd4QwUMDg3zcrl8oVKuXIxGo335
 3DJanofR/ftRmJtbB9oHWRm6dgYmXABSKISBRz6KkU99GojGYBktnDxyBG//9V8jUViGTunKPbUr
 ulvnbbKBElbP+WuMARCUoG9kECMHDqFYLiOcSEBRVLiu68/Mzk7VKqUrM76HztT4OyqgWa+hVq+j
 UavOLedyb7mu47RaBuYXrmL89tsR6+oKbkVbR8KaxggBGouj7xOfQvYjHwNTFLRqNbz52OM49qd/
 ilghB4VKYCAbqIis2A3rg+8A3l/xvo5t738/EEug2WohEolAU1U0Gs3SW8feegtA+V8zJQYA9aWl
 5Vfr9cY1xhguXZqFnE5h+913gRByHXACH8Et2kySkbz/AcTvugc+gEapjDe/8o+Y+srfI9GsQ6J0
 jedWAftrCLk+xDrgO9f02ta5LpcoBifGMH7HPZi7ehV6OIx4PA5JljE9PTN55ty5Y4duudXdCOuG
 BDTrNSTTGbG8nDu+tLj0mud5rFat4uLlS9h+/wPo2bIFnPN1nvAAeELAYR7qF2fRKhRQy+dx7B/+
 AYtPPoGEbQGEbJg7rjf/HcAzAB7n8IRYIcETQDwdx4EPfRh1JpAvFjE0PAQ9pMMwjNoLL7zwSrNW
 nTl37ty6FaF3JQAAfN+H7zpLV+avPtOoNxYYY5iZuQCLAAce+Si0SBRsbUNAQHt6IQ+Ponr+HBa+
 /himv/x3aLzyEmK+B0HoDeD8Dbar7xPwNarwAfiaBnXnLpCu7Ap4JaRi9523o//AYRw/eRKDw8Po
 6+uHRCWcPn36zIs/fPFFIUTz+jHATyTAaNSRTGf44uLy0SvzV59zXddpNhs4c+YUenbvwu4HHgBp
 y9kDwFQVmfseRPaRj4NHoyifehvWmVMICQ624nmyxrBG+mQd6OuBewBcIUB6+9D1kY8juv8gPBAI
 mWLzTTtw4OOfxBsnTqLlONgyPg5N01AslQrf/Nb/+l6pUDgdikQ39D6wZnV4Q3ZkBY7VMhzXM1Kp
 5K5oNDJoGAZkVcWOw4fRzOVQvnYNgpBgZMcY7FwO5rWF4MbldrW49rW+bF5/fH3iY2vi3QPgeD4c
 o4nqxYtwTAMj27fg/l/6PCaXcnjtzTewZ+9e9Pb1AYD35JNPPfdnf/7nf797z57FRqOxshr8ryLA
 cx2EozHUq5UCoZKUTqdvUlUlXq1WkchksO3QIdSXllBbWgIHYBVyMJeuAVzcAHCjkplvYGs933n2
 xQPgEQrXc1FfWIBrtjCyYwse/PyvYNET+Na//DOyvb0YHByEJEk4efLkyT/98z/7H7mlpTertTq3
 WsY7YnxXAgBA0XTE4jEvly8saKqaSKeSuwiglcoldPX2Y9uhQzCKRVQXF4PBD6FrPE3WFTE3FFDt
 ospHcBeIh/VZfm22dxHEPNVUbN6zDfd+9nO4UK7j77/yDxBCoDubhaIoWF7OzX/lq1/9u2M/fvNJ
 RdMt7x08/54J8FwHXAC/+8UvGN/97vcXdE3rTiTi45xxpVQqIN3Th1233w7fslBZWIDn+yvS7wxk
 Vm19BaeNTyB0015YxSJc14XfJqED2mubKwCfAKFEBPvuuR23/Yefx9HJafzNl76EeqMRrC3IMgzD
 KLz40ktffemVV76WzmRKjHH4nvuu+H4iAQDAfA+vHv0xbNMoN4zW5XA41BNPxCd8z5cKhTzC8QRu
 uvMuxDMZVBYWYDabK6PG9fImq9mdUCQO3YL4voOozU7DajbgEwqvnRg7Wd6HANUUDI2P4v2PfhwD
 d96Df3n+BTz9/e9DUhRwzmHbFjzPL01OT//PY8ePf+nDP/XQ1VNnzsB37Z+I7T0RAACc+dBCYRiN
 el4Px9SR0c33EiI033NJvpCD7XnYfugwtt5yKygB6oUCbMsKvN3uBa4PATOfR31mGkY+B1+05S8A

## sleepanalyser 2.1-54

=== debian/changelog ===
sleepanalyser (2.1-54) unstable; urgency=low

  Note:
    If the music in SleepAnalyser does not work as expected, please have a look in the log file /home/user/MyDocs/SleepAnalyser/SleepAnalyser.log. It will contain a lot of data about the now used media player.

  - Experimental usage of gstreamer instead mplayer
  - Fixed small bug fixes on wake up music

 -- George Ruinelli <george@ruinelli.ch>  Wed, 20 Apr 2011 17:15:25  +0100

## sleepanalyser 2.1-55

=== debian/changelog ===
sleepanalyser (2.1-55) unstable; urgency=low

  Note:
    If the music in SleepAnalyser does not work as expected, please have a look in the log file /home/user/MyDocs/SleepAnalyser/SleepAnalyser.log. It will contain a lot of data about the now used media player.

  - Experimental usage of gstreamer instead mplayer
  - Fixed small bug fixes on wake up music

 -- George Ruinelli <george@ruinelli.ch>  Wed, 20 Apr 2011 17:18:52  +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# ======================================================
	#$(MAKE) DESTDIR="$(CURDIR)/debian/sleepanalyser" install


	mkdir -p "$(CURDIR)/debian/sleepanalyser"


	#copy images
	mkdir -p "$(CURDIR)/debian/sleepanalyser/opt/SleepAnalyser/img/"
	cp -a "src/opt/SleepAnalyser/img/Alarm_off.png" "$(CURDIR)/debian/sleepanalyser/opt/SleepAnalyser/img/Alarm_off.png"
	cp -a "src/opt/SleepAnalyser/img/Alternative_Alarm.png" "$(CURDIR)/debian/sleepanalyser/opt/SleepAnalyser/img/Alternative_Alarm.png"
	cp -a "src/opt/SleepAnalyser/img/arrow-left-double.png" "$(CURDIR)/debian/sleepanalyser/opt/SleepAnalyser/img/arrow-left-double.png"
	cp -a "src/opt/SleepAnalyser/img/arrow-right-double.png" "$(CURDIR)/debian/sleepanalyser/opt/SleepAnalyser/img/arrow-right-double.png"
	cp -a "src/opt/SleepAnalyser/img/Awake.png" "$(CURDIR)/debian/sleepanalyser/opt/SleepAnalyser/img/Awake.png"
	cp -a "src/opt/SleepAnalyser/img/configure.png" "$(CURDIR)/debian/sleepanalyser/opt/SleepAnalyser/img/configure.png"
	cp -a "src/opt/SleepAnalyser/img/date.png" "$(CURDIR)/debian/sleepanalyser/opt/SleepAnalyser/img/date.png"
	cp -a "src/opt/SleepAnalyser/img/Deep_Sleep.png" "$(CURDIR)/debian/sleepanalyser/opt/SleepAnalyser/img/Deep_Sleep.png"
	cp -a "src/opt/SleepAnalyser/img/DelayStart.png" "$(CURDIR)/debian/sleepanalyser/opt/SleepAnalyser/img/DelayStart.png"
	cp -a "src/opt/SleepAnalyser/img/document-open-folder.png" "$(CURDIR)/debian/sleepanalyser/opt/SleepAnalyser/img/document-open-folder.png"
	cp -a "src/opt/SleepAnalyser/img/edit-undo.png" "$(CURDIR)/debian/sleepanalyser/opt/SleepAnalyser/img/edit-undo.png"
	cp -a "src/opt/SleepAnalyser/img/edittrash.png" "$(CURDIR)/debian/sleepanalyser/opt/SleepAnalyser/img/edittrash.png"
	cp -a "src/opt/SleepAnalyser/img/example.png" "$(CURDIR)/debian/sleepanalyser/opt/SleepAnalyser/img/example.png"
	cp -a "src/opt/SleepAnalyser/img/example2.png" "$(CURDIR)/debian/sleepanalyser/opt/SleepAnalyser/img/example2.png"
	cp -a "src/opt/SleepAnalyser/img/example3.png" "$(CURDIR)/debian/sleepanalyser/opt/SleepAnalyser/img/example3.png"
	cp -a "src/opt/SleepAnalyser/img/go-down.png" "$(CURDIR)/debian/sleepanalyser/opt/SleepAnalyser/img/go-down.png"
	cp -a "src/opt/SleepAnalyser/img/go-up.png" "$(CURDIR)/debian/sleepanalyser/opt/SleepAnalyser/img/go-up.png"
	cp -a "src/opt/SleepAnalyser/img/klipper_dock.png" "$(CURDIR)/debian/sleepanalyser/opt/SleepAnalyser/img/klipper_dock.png"
	cp -a "src/opt/SleepAnalyser/img/krec.png" "$(CURDIR)/debian/sleepanalyser/opt/SleepAnalyser/img/krec.png"
	cp -a "src/opt/SleepAnalyser/img/krec2.png" "$(CURDIR)/debian/sleepanalyser/opt/SleepAnalyser/img/krec2.png"
	cp -a "src/opt/SleepAnalyser/img/kwrite.png" "$(CURDIR)/debian/sleepanalyser/opt/SleepAnalyser/img/kwrite.png"
	cp -a "src/opt/SleepAnalyser/img/Light_Sleep.png" "$(CURDIR)/debian/sleepanalyser/opt/SleepAnalyser/img/Light_Sleep.png"
	cp -a "src/opt/SleepAnalyser/img/media-playback-start.png" "$(CURDIR)/debian/sleepanalyser/opt/SleepAnalyser/img/media-playback-start.png"
	cp -a "src/opt/SleepAnalyser/img/media-playback-stop.png" "$(CURDIR)/debian/sleepanalyser/opt/SleepAnalyser/img/media-playback-stop.png"
	cp -a "src/opt/SleepAnalyser/img/music_green.png" "$(CURDIR)/debian/sleepanalyser/opt/SleepAnalyser/img/music_green.png"
	cp -a "src/opt/SleepAnalyser/img/music_red.png" "$(CURDIR)/debian/sleepanalyser/opt/SleepAnalyser/img/music_red.png"
	cp -a "src/opt/SleepAnalyser/img/no_music_green.png" "$(CURDIR)/debian/sleepanalyser/opt/SleepAnalyser/img/no_music_green.png"
	cp -a "src/opt/SleepAnalyser/img/no_music_red.png" "$(CURDIR)/debian/sleepanalyser/opt/SleepAnalyser/img/no_music_red.png"
	cp -a "src/opt/SleepAnalyser/img/SleepAnalyser.png" "$(CURDIR)/debian/sleepanalyser/opt/SleepAnalyser/img/SleepAnalyser.png"
	cp -a "src/opt/SleepAnalyser/img/SleepAnalyser2.png" "$(CURDIR)/debian/sleepanalyser/opt/SleepAnalyser/img/SleepAnalyser2.png"
	cp -a "src/opt/SleepAnalyser/img/Yoffset_Sleep_Pattern.png" "$(CURDIR)/debian/sleepanalyser/opt/SleepAnalyser/img/Yoffset_Sleep_Pattern.png"
	cp -a "src/opt/SleepAnalyser/img/Yscale_Movement.png" "$(CURDIR)/debian/sleepanalyser/opt/SleepAnalyser/img/Yscale_Movement.png"
	cp -a "src/opt/SleepAnalyser/img/Yscale_Sleep_Pattern.png" "$(CURDIR)/debian/sleepanalyser/opt/SleepAnalyser/img/Yscale_Sleep_Pattern.png"
	cp -a "src/opt/SleepAnalyser/img/zoom-in.png" "$(CURDIR)/debian/sleepanalyser/opt/SleepAnalyser/img/zoom-in.png"
	cp -a "src/opt/SleepAnalyser/img/zoom-out.png" "$(CURDIR)/debian/sleepanalyser/opt/SleepAnalyser/img/zoom-out.png"
	cp -a "src/opt/SleepAnalyser/img/zoom.png" "$(CURDIR)/debian/sleepanalyser/opt/SleepAnalyser/img/zoom.png"
	cp -a "src/opt/SleepAnalyser/img/document-open.png" "$(CURDIR)/debian/sleepanalyser/opt/SleepAnalyser/img/document-open.png"
	cp -a "src/opt/SleepAnalyser/img/document-save.png" "$(CURDIR)/debian/sleepanalyser/opt/SleepAnalyser/img/document-save.png"
	cp -a "src/opt/SleepAnalyser/img/edit-rename.png" "$(CURDIR)/debian/sleepanalyser/opt/SleepAnalyser/img/edit-rename.png"




	mkdir -p "$(CURDIR)/debian/sleepanalyser/opt/SleepAnalyser/img/anim"
	cp -a "src/opt/SleepAnalyser/img/anim/0.png" "$(CURDIR)/debian/sleepanalyser/opt/SleepAnalyser/img/anim/0.png"
	cp -a "src/opt/SleepAnalyser/img/anim/1.png" "$(CURDIR)/debian/sleepanalyser/opt/SleepAnalyser/img/anim/1.png"
	cp -a "src/opt/SleepAnalyser/img/anim/2.png" "$(CURDIR)/debian/sleepanalyser/opt/SleepAnalyser/img/anim/2.png"
	cp -a "src/opt/SleepAnalyser/img/anim/3.png" "$(CURDIR)/debian/sleepanalyser/opt/SleepAnalyser/img/anim/3.png"
	cp -a "src/opt/SleepAnalyser/img/anim/4.png" "$(CURDIR)/debian/sleepanalyser/opt/SleepAnalyser/img/anim/4.png"
	cp -a "src/opt/SleepAnalyser/img/anim/5.png" "$(CURDIR)/debian/sleepanalyser/opt/SleepAnalyser/img/anim/5.png"
	cp -a "src/opt/SleepAnalyser/img/anim/6.png" "$(CURDIR)/debian/sleepanalyser/opt/SleepAnalyser/img/anim/6.png"
	cp -a "src/opt/SleepAnalyser/img/anim/7.png" "$(CURDIR)/debian/sleepanalyser/opt/SleepAnalyser/img/anim/7.png"


	cp -a "src/opt/SleepAnalyser/help_en.htm" "$(CURDIR)/debian/sleepanalyser/opt/SleepAnalyser/"


	cp -a "src/opt/SleepAnalyser/data.py" "$(CURDIR)/debian/sleepanalyser/opt/SleepAnalyser/data.py"
	cp -a "src/opt/SleepAnalyser/filter_data.py" "$(CURDIR)/debian/sleepanalyser/opt/SleepAnalyser/filter_data.py"
	cp -a "src/opt/SleepAnalyser/functions_alarm.py" "$(CURDIR)/debian/sleepanalyser/opt/SleepAnalyser/functions_alarm.py"
	cp -a "src/opt/SleepAnalyser/functions_file.py" "$(CURDIR)/debian/sleepanalyser/opt/SleepAnalyser/functions_file.py"
	cp -a "src/opt/SleepAnalyser/functions_general.py" "$(CURDIR)/debian/sleepanalyser/opt/SleepAnalyser/functions_general.py"
	cp -a "src/opt/SleepAnalyser/functions_record.py" "$(CURDIR)/debian/sleepanalyser/opt/SleepAnalyser/functions_record.py"
	cp -a "src/opt/SleepAnalyser/i18n.py" "$(CURDIR)/debian/sleepanalyser/opt/SleepAnalyser/i18n.py"
	cp -a "src/opt/SleepAnalyser/main.py" "$(CURDIR)/debian/sleepanalyser/opt/SleepAnalyser/main.py"
	cp -a "src/opt/SleepAnalyser/gstreamer.py" "$(CURDIR)/debian/sleepanalyser/opt/SleepAnalyser/gstreamer.py"

## sleepanalyser 2.1-57

=== debian/changelog ===
sleepanalyser (2.1-57) unstable; urgency=low

  -- Fixed cli output
  -- Added additoonal error check for missing/empty python files
  -- Fixed unicode issue with preset names
  -- Added check if locate is broken

 -- George Ruinelli <george@ruinelli.ch>  Tue, 26 Apr 2011 15:25:48  +0100

## sleepanalyser 2.1-60

=== debian/changelog ===
sleepanalyser (2.1-60) unstable; urgency=low

  - Fixed bug in preset renaming function
  - Rewrote buggy music selection functions
  - Added info dialog for first time users

 -- George Ruinelli <george@ruinelli.ch>  Wed, 04 May 2011 16:32:08  +0100

## sleepanalyser 2.1-63

=== debian/changelog ===
sleepanalyser (2.1-63) unstable; urgency=low

  - Improved error handling for alarms: Only delete old alarm when new alarm got successfully set.
  - Minor changes on installation routine
  - UI changes on recording window

 -- George Ruinelli <george@ruinelli.ch>  Sat, 21 May 2011 15:31:32  +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: sleepanalyser
 Architecture: any
-Depends: python2.5, python2.5-qt4-common, python2.5-qt4-gui, python2.5-qt4-core, python-alarm, python2.5-qt4-dbus, libqt4-dbus, libdbus-1-3, libdbus-glib-1-2, python-dbus, libgc1c2, libpcre3, ffmpeg, mplayer
+Depends: python2.5, python2.5-qt4-common, python2.5-qt4-gui, python2.5-qt4-core, python-alarm, python2.5-qt4-dbus, libqt4-dbus, libdbus-1-3, libdbus-glib-1-2, python-dbus, libgc1c2, libpcre3, ffmpeg, python2.5-gobject, python-gst0.10
 Description: Sleep Analyser records your movement during your sleep.
  It is able to visualise it on a graph to show how much you move during your sleep. This can help to indicate how you sleep.
  It also has an alarm function and other features like lucid dream and wakeUp music. You can set the alarm and a time window (ex. 30 minutes). The Alarm will then go off sometimes during the time window (as soon as you move more), but latest at the set alarm. This should help you to wake up while you are in the light sleep phase.
@@ -153,4 +153,3 @@
  KLz40ktffemVV76WzmRKjHH4nvuu+H4iAQDAfA+vHv0xbNMoN4zW5XA41BNPxCd8z5cKhTzC8QRu
  uvMuxDMZVBYWYDabK6PG9fImq9mdUCQO3YL4voOozU7DajbgEwqvnRg7Wd6HANUUDI2P4v2PfhwD
  d96Df3n+BTz9/e9DUhRwzmHbFjzPL01OT//PY8ePf+nDP/XQ1VNnzsB37Z+I7T0RAACc+dBCYRiN
- el4Px9SR0c33EiI033NJvpCD7XnYfugwtt5yKygB6oUCbMsKvN3uBa4PATOfR31mGkY+B1+05S8A

## sleepanalyser 2.1-64

=== debian/changelog ===
sleepanalyser (2.1-64) unstable; urgency=low

  - New bug reporting interface

 -- George Ruinelli <george@ruinelli.ch>  Sun, 22 May 2011 16:27:47  +0100

## sleepanalyser 2.1-66

=== debian/changelog ===
sleepanalyser (2.1-66) unstable; urgency=low

  Note:
  This will become a stable version unless there are new bugs.

  New:
  - Improved error handling in case the configuration or data folder are not accessable
  - Show warning when sensor path does not exist

 -- George Ruinelli <george@ruinelli.ch>  Tue, 24 May 2011 19:01:13  +0100

## sleepanalyser 2.1-67

=== debian/changelog ===
sleepanalyser (2.1-67) unstable; urgency=low

  Note:
  This will become a stable version unless there are new bugs.

  New:
  - Changed acceleration sensor detection
  - Minor logging changes

 -- George Ruinelli <george@ruinelli.ch>  Wed, 25 May 2011 11:04:49  +0100

## sleepanalyser 2.1-68

=== debian/changelog ===
sleepanalyser (2.1-68) unstable; urgency=low

  - Fixed UI

 -- George Ruinelli <george@ruinelli.ch>  Thu, 26 May 2011 22:48:23  +0100

## sleepanalyser 2.2-2

=== debian/changelog ===
sleepanalyser (2.2-2) unstable; urgency=low

  Changes since last stable version (2.1-35):
  - Better guidance for first time users
  - Use now gstreamer instead ffmpeg
  - Various UI improvements
  - Added command line options
  - Added better bug reporting interface
  - Added various validity checks
  - Various bug fixes

 -- George Ruinelli <george@ruinelli.ch>  Sat, 28 May 2011 19:02:59  +0100

## sleepanalyser 2.2-3

=== debian/changelog ===
sleepanalyser (2.2-3) unstable; urgency=low

  Changes since last stable version (2.1-35):
  - Better guidance for first time users
  - Use now gstreamer instead ffmpeg
  - Various UI improvements
  - Added command line options
  - Added better bug reporting interface
  - Added various validity checks
  - Various bug fixes

 -- George Ruinelli <george@ruinelli.ch>  Sat, 28 May 2011 20:11:25  +0100

## sleepanalyser 2.2-4

=== debian/changelog ===
sleepanalyser (2.2-4) unstable; urgency=low

  Changes since last stable version (2.1-35):
  - Better guidance for first time users
  - Use now gstreamer instead ffmpeg
  - Various UI improvements
  - Added command line options
  - Added better bug reporting interface
  - Added various validity checks
  - Various bug fixes

 -- George Ruinelli <george@ruinelli.ch>  Mon, 30 May 2011 12:00:29  +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: sleepanalyser
 Architecture: any
-Depends: python2.5, python2.5-qt4-common, python2.5-qt4-gui, python2.5-qt4-core, python-alarm, python2.5-qt4-dbus, libqt4-dbus, libdbus-1-3, libdbus-glib-1-2, python-dbus, libgc1c2, libpcre3, ffmpeg, python2.5-gobject, python-gst0.10
+Depends: python2.5, python2.5-qt4-common, python2.5-qt4-gui, python2.5-qt4-core, python-alarm, python2.5-qt4-dbus, libqt4-dbus, libdbus-1-3, libdbus-glib-1-2, python-dbus, libgc1c2, libpcre3, python2.5-gobject, python-gst0.10
 Description: Sleep Analyser records your movement during your sleep.
  It is able to visualise it on a graph to show how much you move during your sleep. This can help to indicate how you sleep.
  It also has an alarm function and other features like lucid dream and wakeUp music. You can set the alarm and a time window (ex. 30 minutes). The Alarm will then go off sometimes during the time window (as soon as you move more), but latest at the set alarm. This should help you to wake up while you are in the light sleep phase.
@@ -153,3 +153,4 @@
  KLz40ktffemVV76WzmRKjHH4nvuu+H4iAQDAfA+vHv0xbNMoN4zW5XA41BNPxCd8z5cKhTzC8QRu
  uvMuxDMZVBYWYDabK6PG9fImq9mdUCQO3YL4voOozU7DajbgEwqvnRg7Wd6HANUUDI2P4v2PfhwD
  d96Df3n+BTz9/e9DUhRwzmHbFjzPL01OT//PY8ePf+nDP/XQ1VNnzsB37Z+I7T0RAACc+dBCYRiN
+ el4Px9SR0c33EiI033NJvpCD7XnYfugwtt5yKygB6oUCbMsKvN3uBa4PATOfR31mGkY+B1+05S8A

## sleepanalyser 2.2-5

=== debian/changelog ===
sleepanalyser (2.2-5) unstable; urgency=low

  Added Czech translation (thanks to Vít Stanisalv)

 -- George Ruinelli <george@ruinelli.ch>  Wed, 08 Jun 2011 15:13:41  +0100

## sleepanalyser 2.2-6

=== debian/changelog ===
sleepanalyser (2.2-6) unstable; urgency=low

  Added Czech translation (thanks to Vít Stanisalv)

 -- George Ruinelli <george@ruinelli.ch>  Mon, 27 Jun 2011 17:19:04  +0100

## sleepanalyser 2.2-10

=== src/opt/SleepAnalyser/lib/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 CC=g++
-CCFLAGS=-O2 -fomit-frame-pointer -pipe -Wno-deprecated $(CPPFLAGS) -I. -I/usr/lib/python2.5/site-packages/shedskin/lib -g -fPIC -D__SS_BIND -I/usr/include/python2.5 -I/usr/include/python2.5
+CCFLAGS=-O2 -msse2 -fomit-frame-pointer -pipe -Wno-deprecated $(CPPFLAGS) -I. -I/usr/lib/python2.5/site-packages/shedskin/lib -g -fPIC -D__SS_BIND -I/usr/include/python2.5 -I/usr/include/python2.5
 #CCFLAGS=-O0 -pipe -Wno-deprecated $(CPPFLAGS)
 LFLAGS=-lgc -lpcre $(LDFLAGS) -shared -Xlinker -export-dynamic -lpthread -ldl  -lutil -lm -lpython2.5 -L/usr/lib/python2.5/config

=== debian/changelog ===
sleepanalyser (2.2-10) unstable; urgency=low

  Note:
  This version might have new bugs! As a preparation for Harmattan I switched from PyQt to Pyside.

  Major changes:
  - Graphs are now transparent
  - Fixed faulty drawing routine
  - Various unicode changes doe switching to PySide

 -- George Ruinelli <george@ruinelli.ch>  Sun, 10 Jul 2011 20:50:45  +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: sleepanalyser
 Architecture: any
-Depends: python2.5, python2.5-qt4-common, python2.5-qt4-gui, python2.5-qt4-core, python-alarm, python2.5-qt4-dbus, libqt4-dbus, libdbus-1-3, libdbus-glib-1-2, python-dbus, libgc1c2, libpcre3, python2.5-gobject, python-gst0.10
+Depends: python (>=2.5), python2.5-qt4-common, python2.5-qt4-gui, python2.5-qt4-core, python-alarm, python2.5-qt4-dbus, libqt4-dbus, libdbus-1-3, libdbus-glib-1-2, python-dbus, libgc1c2, libpcre3, python2.5-gobject, python-gst0.10, pyside-qt
 Description: Sleep Analyser records your movement during your sleep.
  It is able to visualise it on a graph to show how much you move during your sleep. This can help to indicate how you sleep.
  It also has an alarm function and other features like lucid dream and wakeUp music. You can set the alarm and a time window (ex. 30 minutes). The Alarm will then go off sometimes during the time window (as soon as you move more), but latest at the set alarm. This should help you to wake up while you are in the light sleep phase.
@@ -153,4 +153,3 @@
  KLz40ktffemVV76WzmRKjHH4nvuu+H4iAQDAfA+vHv0xbNMoN4zW5XA41BNPxCd8z5cKhTzC8QRu
  uvMuxDMZVBYWYDabK6PG9fImq9mdUCQO3YL4voOozU7DajbgEwqvnRg7Wd6HANUUDI2P4v2PfhwD
  d96Df3n+BTz9/e9DUhRwzmHbFjzPL01OT//PY8ePf+nDP/XQ1VNnzsB37Z+I7T0RAACc+dBCYRiN
- el4Px9SR0c33EiI033NJvpCD7XnYfugwtt5yKygB6oUCbMsKvN3uBa4PATOfR31mGkY+B1+05S8A

## sleepanalyser 2.2-12

=== src/opt/SleepAnalyser/lib/Makefile ===
CC=g++
CCFLAGS=-O2 -fomit-frame-pointer -pipe -Wno-deprecated $(CPPFLAGS) -I. -I/usr/lib/python2.6/dist-packages/shedskin/lib -g -fPIC -D__SS_BIND -I/usr/include/python2.6 -I/usr/include/python2.6
#CCFLAGS=-O0 -pipe -Wno-deprecated $(CPPFLAGS)
LFLAGS=-lgc -lpcre $(LDFLAGS) -shared -Xlinker -export-dynamic -lpthread -ldl  -lutil -lm -lpython2.6 -L/usr/lib/python2.6/config

all:	mylib.so

CPPFILES=/usr/lib/python2.6/dist-packages/shedskin/lib/builtin.cpp mylib.cpp /usr/lib/python2.6/dist-packages/shedskin/lib/re.cpp
HPPFILES=/usr/lib/python2.6/dist-packages/shedskin/lib/builtin.hpp mylib.hpp /usr/lib/python2.6/dist-packages/shedskin/lib/re.hpp

mylib.so:	$(CPPFILES) $(HPPFILES)
	$(CC)  $(CCFLAGS) $(CPPFILES) $(LFLAGS) -o mylib.so

mylib.so_prof:	$(CPPFILES) $(HPPFILES)
	$(CC) -pg -ggdb $(CCFLAGS) $(CPPFILES) $(LFLAGS) -o mylib.so_prof

mylib.so_debug:	$(CPPFILES) $(HPPFILES)
	$(CC) -g -ggdb $(CCFLAGS) $(CPPFILES) $(LFLAGS) -o mylib.so_debug

clean:
	rm -f mylib.so mylib.so_prof mylib.so_debug

.PHONY: all run clean

=== debian/changelog ===
sleepanalyser (2.2-12) unstable; urgency=low

  Note:
  This version might have new bugs or broken dependencies! As a preparation for Harmattan I switched from PyQt to Pyside.

  - fixed dependency

 -- George Ruinelli <george@ruinelli.ch>  Wed, 13 Jul 2011 11:44:00  +0100

sleepanalyser (2.2-11) unstable; urgency=low

  Note:
  This version might have new bugs! As a preparation for Harmattan I switched from PyQt to Pyside.

  Major changes:
  - Graphs are now transparent
  - Fixed faulty drawing routine
  - Various unicode changes doe switching to PySide

 -- George Ruinelli <george@ruinelli.ch>  Wed, 13 Jul 2011 00:10:33  +0100

## sleepanalyser 2.2-14

=== debian/changelog ===
sleepanalyser (2.2-14) unstable; urgency=low

  Note:
  This version might have new bugs or broken dependencies! As a preparation for Harmattan I switched from PyQt to Pyside.

  - fixed dependency

 -- George Ruinelli <george@ruinelli.ch>  Thu, 14 Jul 2011 11:18:11  +0100

## sleepanalyser 2.2-19

=== debian/changelog ===
sleepanalyser (2.2-19) unstable; urgency=low

  - Added Ukrainian

 -- George Ruinelli <george@ruinelli.ch>  Sun, 15 Apr 2012 19:42:10  +0100

sleepanalyser (2.2-16) unstable; urgency=low

  Note:
  This version might have new bugs or broken dependencies! As a preparation for Harmattan I switched from PyQt to Pyside.

  - fixed dependency

 -- George Ruinelli <george@ruinelli.ch>  Tue, 09 Aug 2011 13:09:30  +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: sleepanalyser
 Architecture: any
-Depends: python (>=2.5), python2.5-qt4-common, python2.5-qt4-gui, python2.5-qt4-core, python-alarm, python2.5-qt4-dbus, libqt4-dbus, libdbus-1-3, libdbus-glib-1-2, python-dbus, libgc1c2, libpcre3, python2.5-gobject, python-gst0.10, pyside-qt
+Depends: python (>=2.5), python2.5-qt4-common, python2.5-qt4-gui, python2.5-qt4-core, python-alarm, python2.5-qt4-dbus, libqt4-dbus, libdbus-1-3, libdbus-glib-1-2, python-dbus, libgc1c2, libpcre3, python-gobject, python-gst0.10, pyside-qt4
 Description: Sleep Analyser records your movement during your sleep.
  It is able to visualise it on a graph to show how much you move during your sleep. This can help to indicate how you sleep.
  It also has an alarm function and other features like lucid dream and wakeUp music. You can set the alarm and a time window (ex. 30 minutes). The Alarm will then go off sometimes during the time window (as soon as you move more), but latest at the set alarm. This should help you to wake up while you are in the light sleep phase.

## sleepanalyser 2.2-23

=== debian/changelog ===
sleepanalyser (2.2-23) unstable; urgency=low

  - Added Ukrainian

 -- George Ruinelli <george@ruinelli.ch>  Sun, 15 Apr 2012 21:34:42  +0100

## sleepanalyser 2.2-25

=== debian/changelog ===
sleepanalyser (2.2-25) unstable; urgency=low

  - Added Ukrainian

 -- George Ruinelli <george@ruinelli.ch>  Fri, 04 May 2012 18:49:34  +0100
